API referenceData groups
Get a subtopic
GET
/data-groups/{id}Authorization
bearerAuth AuthorizationBearer <token>
An API key created in Settings → API Keys.
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/data-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "path": "string", "description": "string", "isActive": true, "mainGroupId": "72f81c21-cf8c-4aa2-872e-9639e1c569d1", "llmInputTypeId": "13458eb4-c15b-4eb4-82b4-9d5195fae1ec", "extractionModeId": "fb3e280e-ad29-4cab-88ac-d5edc02ff2dd", "preprocessingModeId": "c1dae635-70c1-4ca4-a963-48608df3075b", "promptGroupId": "c9c1855e-dccf-458d-b030-73985bcd7a8e", "llmModelId": "87b8957f-711b-4065-a0f0-40027ffcaa0f", "dataMainGroup": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "moduleId": "eb49de5a-d93f-4a73-a032-bfeee6879098", "module": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "sourceModuleId": "78c0b142-f806-425a-a1e7-547deeedebae", "isBaseModule": true } }, "llmInputType": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "extractionMode": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "preprocessingMode": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "promptGroup": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "llmModel": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "publicDocumentAssociations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "documentId": "4704590c-004e-410d-adf7-acb7ca0a7052", "isActive": true, "publicDocument": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "fileName": "string", "path": "string", "isActive": true } } ], "privateDocumentAssociations": [ {} ] }, "meta": { "requestId": "string", "timestamp": "string" }}